Rename SparsePolyOps-MonomialIdeal into SparsePolyOps-IdealMonomial?

14 Oct 2019 22:22 - Anna Maria Bigatti

Status: Closed Start date: 14 Oct 2019

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Renaming Estimated time: 1.00 hour

Target version: CoCoALib-0.99650 November 2019 Spent time: 4.10 hours

Description

We have these files:

SparsePolyOps-ideal.C,

SparsePolyOps-IdealOfPoints.C,

SparsePolyOps-IdealZeroDim.C

so, should we rename SparsePolyOps-MonomialIdeal into SparsePolyOps-IdealMonomial?

2019-10 new names:

SparsePolyOps-ideal.C

SparsePolyOps-ideal-points.C

SparsePolyOps-ideal-ZeroDim.C

SparsePolyOps-ideal-monomial.C

Related issues:

Related to CoCoALib - Feature #1251: New function: radical for monomial ideal Closed 04 Mar 2019

History

#1 - 14 Oct 2019 22:37 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

I agree it would be nice to have them all start the second part of the name with Ideal  (or maybe ideal?)

Maybe even:

SparsePolyOps-ideal.C

SparsePolyOps-Ideal-Points.C

SparsePolyOps-Ideal-ZeroDim.C

SparsePolyOps-Ideal-monomial.C

#2 - 15 Oct 2019 15:25 - Anna Maria Bigatti

- Related to Feature #1251: New function: radical for monomial ideal added

#3 - 15 Oct 2019 17:33 - Anna Maria Bigatti

- Description updated

- Status changed from In Progress to Closed

- % Done changed from 10 to 100
#4 - 15 Oct 2019 17:33 - Anna Maria Bigatti

- Description updated
